#include <iostream>
#include <stdio.h>
using namespace std;
const int MAX=200000;
int main(){
	int N,A[MAX];
	double P[MAX];
	cin>>N;
	for(int i=0;i<N;i++){
        cin>>A[i]>>P[i];
        P[i]/=100;
	}
    double maksimum=0;
    for(int i=0;i<N;i++){
        double zarada=A[i];
        for(int j=0;j<N;j++)
            if(P[j]>P[i])
                zarada+=A[j];
        zarada*=P[i];
        if(zarada>maksimum)
            maksimum=zarada;
    }
    printf("%.15g",maksimum);
	return 0;
}